Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst.confidence
Class GammaAverageConfidenceEstimator

    java.lang.Object
      cc.mallet.fst.confidence.TransducerConfidenceEstimator
          cc.mallet.fst.confidence.GammaAverageConfidenceEstimator

All Implemented Interfaces:
  java.io.Serializable

    public class GammaAverageConfidenceEstimator

extends TransducerConfidenceEstimator

Calculates the confidence in an extracted segment by taking the average of P(s_i|o) for each state in the segment.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.fst.confidence.TransducerConfidenceEstimator
`model`

Constructor Summary
`GammaAverageConfidenceEstimator(Transducer model)`

Method Summary
`double` | `estimateConfidenceFor(Segment segment, SumLatticeDefault cachedLattice)` Calculates the confidence in the tagging of a `Segment`.

Methods inherited from class cc.mallet.fst.confidence.TransducerConfidenceEstimator
`estimateConfidenceFor, getSegmentConfidences, getTransducer, rankSegmentsByConfidence, rankSegmentsByConfidence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GammaAverageConfidenceEstimator

    public GammaAverageConfidenceEstimator(Transducer model)

Method Detail

### estimateConfidenceFor

    public double estimateConfidenceFor(Segment segment,
                                        SumLatticeDefault cachedLattice)

  Calculates the confidence in the tagging of a `Segment`.

  Specified by:
    `estimateConfidenceFor` in class `TransducerConfidenceEstimator`
  Returns:
    0-1 confidence value. higher = more confident.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD